Subject: [OSPF] draft-acee-ospfv3-lsa-extend-01.txt

From: Peter Psenak <[email-masked]>
Date: Fri, 02 Aug 2013 10:56:17 +0200

Hi Acee,

here are my comments/suggestions:

1. add an AF indicator for all prefix advertisements. This will help 
down the road when one instance will be used for multiple AFs.

2. Remove metric field from all top level TLVs and introduce optional 
Metric sub-TLV instead. It may also be wise to add MT-ID field to the 
Metric sub-TLV. I don't quite believe MT is dead.

3. Set the U-bit on all new extended LSAs, so that they are flooded by
routers that do not understand them.

4. On the backward compatibility side, we should separate the 
origination of the extended LSAs from the usage of these LSAs during 
SPF. The local behavior for these two things should be set 
independently. This would give us all the flexibility we need for the 
migration.

thanks,
Peter